#!/bin/bash
# e2clirm.sh: Simple Enigma 2 remote control command send bash script
# Christian Birchinger <cbirchinger@netswarm.net>

host="dreambox"
rmtable="./e2ctrl-rmtable.txt"

function die { echo "$1" 1>&2 ; exit 1 ; }
function ok  { echo "$1" ; exit 0 ; }

[ -r "$rmtable" ] || die "Can't open rmtable file ${rmtable}."
[ -n "$1" ] || die "Usage: $0 command"

code=`sed -n "s/\([[:digit:]][[:digit:]]*\)[[:space:]]*Key[[:space:]]*\"${1}\".*/\1/ip" <"${rmtable}"`
[ -n "$code" ] || die "No remote control code found for command \"$1\"."

rt="`wget -q -O - \"http://${host}/web/remotecontrol?command=${code}\" | grep -i '<e2result>True</e2result>'`"
[ -n "$rt" ] || die "ERROR: Request failed."

ok "Command sent successfully."
